package com.dc.standard.report;

import com.dc.standard.report.config.DruidConfig;
import com.dc.standard.report.config.QuartzConfig;
import com.dc.standard.report.initiallzer.AppInitializer;
import lombok.extern.slf4j.Slf4j;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Import;
import org.springframework.scheduling.annotation.EnableScheduling;


@Slf4j
@SpringBootApplication
@EnableScheduling
@ComponentScan(basePackages = {"com.dc.standard.report.config"})
@ComponentScan(basePackages = {"com.dc.standard.report.initiallzer"})
@ComponentScan(basePackages = {"com.dc.standard.report.job"})
@ComponentScan(basePackages = {"com.dc.standard.report.**"})
@MapperScan(basePackages = {"com.dc.standard.report.mapper"})
@Import({DruidConfig.class, QuartzConfig.class, AppInitializer.class})
public class ImplementingStandardReportApplication {

    public static void main(String[] args) {
        SpringApplication.run(ImplementingStandardReportApplication.class, args);
    }

}
