package com.dc.standard.report.config;

import com.dc.standard.report.job.DtatisticalDataJob;
import com.dc.standard.report.service.IGuanbiaobaobiaoService;
import com.dc.standard.report.service.IHuoyueduService;
import org.quartz.*;
import org.quartz.impl.StdSchedulerFactory;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.EnableScheduling;

import javax.sql.DataSource;

@Configuration
@EnableScheduling
public class QuartzConfig {

    @Bean
    public Scheduler scheduler(DataSource dataSource) throws SchedulerException {
        StdSchedulerFactory factory = new StdSchedulerFactory();
        // Configure the factory using properties (optional)
        factory.initialize();

        Scheduler scheduler = factory.getScheduler();
        scheduler.start();

        return scheduler;
    }
    @Bean
    public DtatisticalDataJob dtatisticalDataJob(IGuanbiaobaobiaoService guanbiaobaobiaoService, IHuoyueduService huoyueduService) {
        return new DtatisticalDataJob(guanbiaobaobiaoService, huoyueduService);
    }
}
