package com.dc.standard.report.entity;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

@Data
@TableName("SCI.HUOYUEDU")
@DS("slave")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "活跃度明细表", description = "活跃度明细表")
public class Huoyuedu {
    private Integer id; // 主键索引，自动生成
    private String zsjid; // 主数据编码
    private String zsjlx; // 五类核心主数据：供方/客户/项目/型号/物资
    private String zsjmc; // 描述主数据的名称，例如供方类型的主数据名称，填具体的供方名称
    private String zsjyyid; // 系统内统应用次数的唯一ID值
    private String bdmc; // 统计系统内应用该条主数据对应的表单名称
    private String xtmc = "制造执行系统（国产化）"; // 统计该条主数据为哪个系统应用，系统名称与ITIL应用系统名称保持一致
    private String dwmc = "六九九厂"; // 统计该条主数据为哪家单位使用，按照表2《使用单位属性表》使用相应字典值
    private String stsyrq; // YYYY/MM/DD，系统内使用该条主数据的日期，统计时间维度为2024年1月1日 至今的数据
    private String czry; // 系统内使用该条数据人员姓名
}
