package com.dc.standard.report.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
@TableName("YS_MES_ORDER")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "mes_order对象", description = "订单管理表")
public class YsOrder {

    /***/
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "")
    private String id;

    /**
     * ERP订单号
     */
    @ApiModelProperty(value = "ERP订单号")
    private String erpOrderNo;

    /**
     * 产品图号
     */

    @ApiModelProperty(value = "产品图号")
    private String drawingNo;
    /**
     * 装机版号
     */
    @ApiModelProperty(value = "装机版号")
    private String versionNo;
    /**
     * 部件编号（原表产品工号）
     */
    @ApiModelProperty(value = "部件编号")
    private String number;

    @TableField(exist = false)
    @ApiModelProperty(value = "贯标型号名称")
    private String productName;
    /**
     * 任务类型
     */
    @ApiModelProperty(value = "任务类型")
    private String type;
    /**
     * 客户
     */
    @ApiModelProperty(value = "客户")
    @TableField(exist = true)
    private String customerId;
    /**
     * 客户名称
     */
    @ApiModelProperty(value = "客户名称")
    @TableField(exist = false)
    private String customerName;

    /**
     * 生产数量
     */
    @ApiModelProperty(value = "生产数量")
    private int qty;
    /**
     * 完成数量
     */
    @ApiModelProperty(value = "完成数量")
    private int completeQty;
    /**
     * 计划交期
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "计划交期")
    private Date planDate;
    /**
     * 贯标型号
     */

    @ApiModelProperty(value = "贯标型号")
    private String pdmProductId;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;
    /**
     * 部、组(整)件代号
     */
    @ApiModelProperty(value = "部、组(整)件代号")
    private String componentCode;
    /**
     * 部、组(整)件名称
     */
    @ApiModelProperty(value = "部、组(整)件名称")
    private String componentName;
    /**
     * 批次号
     */
    @ApiModelProperty(value = "批次号")
    private String batchNo;
    /**
     * 删除标志
     */
    @TableLogic
    @ApiModelProperty(value = "删除标志")
    private Short delFlag;
    /**
     * 密级字段
     */
    @ApiModelProperty(value = "密级字段")
    private String secretDegree;
    /**
     * 创建人员
     */
    @ApiModelProperty(value = "创建人员")
    private String createBy;
    /**
     * 创建时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    /**
     * 修改者
     */
    @ApiModelProperty(value = "修改者")
    private String updateBy;

    /**
     * 更新时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;


}
